mod login_window;
mod totp_window;
mod application;
mod main_panel;
mod settings_panel;
mod tabbed_window;

use gtk4 as gtk;
use gtk::prelude::*;
use gtk::glib::{self, g_info};

const APP_ID: &str = "im.zander.SimpleLogin";

#[tokio::main]
async fn main() -> glib::ExitCode {
    #[cfg(debug_assertions)] {
        std::env::set_var("G_MESSAGES_DEBUG", "SimpleLogin");
        // allow us to use a test schema for debug runs
        let schema_dir = concat!(env!("OUT_DIR"), "/schemas/");
        g_info!("SimpleLogin", "Using schema dir: \"{}\"", schema_dir);
        std::env::set_var("GSETTINGS_SCHEMA_DIR", schema_dir);
    }
    let app = application::Application::new(APP_ID);
    app.run()
}
